# Method: organizations.findSalesPartnerManagedClients

- [HTTP request](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.request_body)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.response_body)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.FindSalesPartnerManagedClientsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#body.aspect)
- [ClientData](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#ClientData)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#ClientData.SCHEMA_REPRESENTATION)
- [Date](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date)
  - [JSON representation](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#try-it)

Returns a list of clients managed by the sales partner organization.

User needs to be an OrgAdmin/BillingAdmin on the sales partner organization in order to view the end clients.

### HTTP request

`POST https://marketingplatformadmin.googleapis.com/v1alpha/{organization=organizations/*}:findSalesPartnerManagedClients`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `organization` | `string` Required. The name of the sales partner organization. Format: organizations/{org_id} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "isActive": boolean } ``` |

| Fields ||
|---|---|
| `isActive` | `boolean` Optional. If set, only active and just ended clients will be returned. |

### Response body

Response message for organizations.findSalesPartnerManagedClients RPC.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "clientData": [ { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#ClientData`) } ] } ``` |

| Fields ||
|---|---|
| `clientData[]` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#ClientData`)`` The clients managed by the sales org. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.read`
- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.update`

## ClientData

Contains the client data.

| JSON representation |
|---|
| ``` { "organization": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations#Organization`) }, "startDate": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date`) }, "endDate": { object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date`) } } ``` |

| Fields ||
|---|---|
| `organization` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations#Organization`)`` The end client that has/had contract with the requested sales org. |
| `startDate` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date`)`` The start date of the contract between the sales org and the end client. |
| `endDate` | ``object (`https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations/findSalesPartnerManagedClients#Date`)`` The end date of the contract between the sales org and the end client. |

## Date

Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following:

- A full date, with non-zero year, month, and day values.
- A month and day, with a zero year (for example, an anniversary).
- A year on its own, with a zero month and a zero day.
- A year and month, with a zero day (for example, a credit card expiration date).

Related types:

- `google.type.TimeOfDay`
- `google.type.DateTime`
- `https://protobuf.dev/reference/protobuf/google.protobuf#timestamp`

| JSON representation |
|---|
| ``` { "year": integer, "month": integer, "day": integer } ``` |

| Fields ||
|---|---|
| `year` | `integer` Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year. |
| `month` | `integer` Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day. |
| `day` | `integer` Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant. |